Index: arch/amd64/Makefile.inc
===================================================================
--- arch/amd64/Makefile.inc	(revision 0132630e277cac256d68387347726af617f4270d)
+++ arch/amd64/Makefile.inc	(revision b524c5e0c4ab2be7669474ed11d7d797b4d5e53b)
@@ -88,5 +88,4 @@
 	arch/$(ARCH)/src/mm/tlb.c \
 	arch/$(ARCH)/src/asm_utils.S \
-	arch/$(ARCH)/src/fmath.c \
 	arch/$(ARCH)/src/mm/memory_init.c \
 	arch/$(ARCH)/src/cpu/cpu.c \
Index: ch/amd64/include/fmath.h
===================================================================
--- arch/amd64/include/fmath.h	(revision 0132630e277cac256d68387347726af617f4270d)
+++ 	(revision )
@@ -1,64 +1,0 @@
-/*
- * Copyright (C) 2005 Josef Cejka
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */ 
-
-#include <arch/types.h>
- 
-#define FMATH_EXPONENT_BIAS 1023
-
-typedef unsigned char fmath_ld_descr_t[8];
- 
-typedef union { double bf; unsigned char ldd[8]; }  fmath_ld_union_t;
-
-/**returns exponent in binary encoding*/
-signed short fmath_get_binary_exponent(double num);
-
-/**returns exponent in decimal encoding*/
-double fmath_get_decimal_exponent(double num);
-
-/**returns mantisa in binary encoding */
-__u64 fmath_get_binary_mantisa(double num) ;
-
-/** Function for extract integer part from double
-* @param num input value
-* @param intp integer part of num
-* @return non-integer part
-*/
-double fmath_fint(double num, double *intp);
-
-/** count base^exponent from positive exponent
-* @param base
-* @param exponent - Must be > 0.0 
-* @return base^exponent or 0.0 (if exponent <=0.0)
-*/
-double fmath_dpow(double base, double exponent) ;
-
-/** return 1, if num is NaN */
-int fmath_is_nan(double num);
-
-/** return 1, if fmath is a infinity */
-int fmath_is_infinity(double num);
Index: ch/amd64/src/fmath.c
===================================================================
--- arch/amd64/src/fmath.c	(revision 0132630e277cac256d68387347726af617f4270d)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../ia32/src/fmath.c
Index: arch/ia32/Makefile.inc
===================================================================
--- arch/ia32/Makefile.inc	(revision 0132630e277cac256d68387347726af617f4270d)
+++ arch/ia32/Makefile.inc	(revision b524c5e0c4ab2be7669474ed11d7d797b4d5e53b)
@@ -116,4 +116,3 @@
 	arch/$(ARCH)/src/boot/boot.S \
 	arch/$(ARCH)/src/boot/memmap.S \
-	arch/$(ARCH)/src/fpu_context.c\
-	arch/$(ARCH)/src/fmath.c
+	arch/$(ARCH)/src/fpu_context.c
Index: ch/ia32/include/fmath.h
===================================================================
--- arch/ia32/include/fmath.h	(revision 0132630e277cac256d68387347726af617f4270d)
+++ 	(revision )
@@ -1,64 +1,0 @@
-/*
- * Copyright (C) 2005 Josef Cejka
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */ 
-
-#include <arch/types.h>
- 
-#define FMATH_EXPONENT_BIAS 1023
-
-typedef unsigned char fmath_ld_descr_t[8];
- 
-typedef union { double bf; unsigned char ldd[8]; }  fmath_ld_union_t;
-
-/**returns exponent in binary encoding*/
-signed short fmath_get_binary_exponent(double num);
-
-/**returns exponent in decimal encoding*/
-double fmath_get_decimal_exponent(double num);
-
-/**returns mantisa in binary encoding */
-__u64 fmath_get_binary_mantisa(double num) ;
-
-/** Function for extract integer part from double
-* @param num input value
-* @param intp integer part of num
-* @return non-integer part
-*/
-double fmath_fint(double num, double *intp);
-
-/** count base^exponent from positive exponent
-* @param base
-* @param exponent - Must be > 0.0 
-* @return base^exponent or 0.0 (if exponent <=0.0)
-*/
-double fmath_dpow(double base, double exponent) ;
-
-/** return 1, if num is NaN */
-int fmath_is_nan(double num);
-
-/** return 1, if fmath is a infinity */
-int fmath_is_infinity(double num);
Index: ch/ia32/src/fmath.c
===================================================================
--- arch/ia32/src/fmath.c	(revision 0132630e277cac256d68387347726af617f4270d)
+++ 	(revision )
@@ -1,147 +1,0 @@
-/*
- * Copyright (C) 2005 Josef Cejka
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */ 
-
-#include <arch/fmath.h>
-#include <print.h>
-
-#define FMATH_MANTISA_MASK ( 0x000fffffffffffffLL )
-#define FMATH_NAN ( 0x0001000000000001LL )
-signed short fmath_get_binary_exponent(double num) 
-{
-	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	return (signed short)((((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4)) -FMATH_EXPONENT_BIAS; /* exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th */
-}
-
-double fmath_get_decimal_exponent(double num) 
-{
-	double value;
-	/* log10(2)*log2(x) => log10(x) */
-	__asm__ __volatile__ ( \
-	"fldlg2		#load log10(2)	\n\t"	\
-	"fxch %%st(1) 		\n\t" \
-	"fyl2x		#count st(0)*log2(st(1))->st(1); pop st(0)	\n\t" \
-	: "=t" (value) : "0"(num) );
-	return value;
-}
-
-__u64 fmath_get_binary_mantisa(double num) 
-{
-	union { __u64 _u; double _d;} un = { _d : num };
-	un._u=un._u &(FMATH_MANTISA_MASK); /* mask 52 bits of mantisa*/
-	return un._u;
-}
-
-double fmath_fint(double num, double *intp) 
-{
-	fmath_ld_union_t fmath_ld_union_num;
-	fmath_ld_union_t fmath_ld_union_int;
-	signed short exp;
-	__u64 mask;
-	// __u64 mantisa;
-	int i;
-	
-	exp=fmath_get_binary_exponent(num);
-	
-	if (exp<0) {
-		*intp = 0.0;
-		return num;
-		}
-		
-
-	if (exp>51) {
-		*intp=num;
-		num=0.0;
-		return num;
-	}
-	
-	fmath_ld_union_num.bf = num;
-	
-	mask = FMATH_MANTISA_MASK>>exp;
-	//mantisa = (fmath_get-binary_mantisa(num))&(~mask);
-	
-	for (i=0;i<7;i++) {
-		/* Ugly construction for obtain sign, exponent and integer part from num */
-		fmath_ld_union_int.ldd[i]=fmath_ld_union_num.ldd[i]&(((~mask)>>(i*8))&0xff);
-	}
-	
-	fmath_ld_union_int.ldd[6]|=((fmath_ld_union_num.ldd[6])&(0xf0));
-	fmath_ld_union_int.ldd[7]=fmath_ld_union_num.ldd[7];
-	
-	*intp=fmath_ld_union_int.bf;
-	return fmath_ld_union_num.bf-fmath_ld_union_int.bf;
-};
-	
-
-double fmath_dpow(double base, double exponent) 
-{
-	double value=1.0;
-	if (base<=0.0) return base; 
-	
-	//2^(x*log2(10)) = 2^y = 10^x
-	
-	__asm__ __volatile__ (		\
-		"fyl2x # ST(1):=ST(1)*log2(ST(0)), pop st(0) \n\t "		\
-		"fld	%%st(0) \n\t"	\
-		"frndint \n\t"		\
-		"fxch %%st(1) \n\t"		\
-		"fsub %%st(1),%%st(0) \n\t"	\
-		"f2xm1	# ST := 2^ST -1\n\t"			\
-		"fld1 \n\t"			\
-		"faddp %%st(0),%%st(1) \n\t"	\
-		"fscale #ST:=ST*2^(ST(1))\n\t"		\
-		"fstp %%st(1) \n\t"		\
-	"" : "=t" (value) :  "0" (base), "u" (exponent) );
-	return value;
-}
-
-int fmath_is_nan(double num) 
-{
-	__u16 exp;
-	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	exp=(((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4); /* exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th */
-
-	if (exp!=0x07ff) return 0;
-	if (fmath_get_binary_mantisa(num)>=FMATH_NAN) return 1;
-	
-		
-	return 0;
-}
-
-int fmath_is_infinity(double num)
-{
-	__u16 exp;
-	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	exp=(((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4); /* exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th */
-
-	if (exp!=0x07ff) return 0;
-	if (fmath_get_binary_mantisa(num)==0x0) return 1;
-	return 0;
-}
Index: arch/ia64/Makefile.inc
===================================================================
--- arch/ia64/Makefile.inc	(revision 0132630e277cac256d68387347726af617f4270d)
+++ arch/ia64/Makefile.inc	(revision b524c5e0c4ab2be7669474ed11d7d797b4d5e53b)
@@ -54,5 +54,4 @@
 	arch/$(ARCH)/src/ivt.S \
 	arch/$(ARCH)/src/interrupt.c \
-	arch/$(ARCH)/src/fmath.c \
 	arch/$(ARCH)/src/mm/frame.c \
 	arch/$(ARCH)/src/drivers/it.c
Index: ch/ia64/include/fmath.h
===================================================================
--- arch/ia64/include/fmath.h	(revision 0132630e277cac256d68387347726af617f4270d)
+++ 	(revision )
@@ -1,64 +1,0 @@
-/*
- * Copyright (C) 2005 Josef Cejka
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */ 
-
-#include <arch/types.h>
- 
-#define FMATH_EXPONENT_BIAS 1023
-
-typedef unsigned char fmath_ld_descr_t[8];
- 
-typedef union { double bf; unsigned char ldd[8]; }  fmath_ld_union_t;
-
-/**returns exponent in binary encoding*/
-signed short fmath_get_binary_exponent(double num);
-
-/**returns exponent in decimal encoding*/
-double fmath_get_decimal_exponent(double num);
-
-/**returns mantisa in binary encoding */
-__u64 fmath_get_binary_mantisa(double num) ;
-
-/** Function for extract integer part from double
-* @param num input value
-* @param intp integer part of num
-* @return non-integer part
-*/
-double fmath_fint(double num, double *intp);
-
-/** count base^exponent from positive exponent
-* @param base
-* @param exponent - Must be > 0.0 
-* @return base^exponent or 0.0 (if exponent <=0.0)
-*/
-double fmath_dpow(double base, double exponent) ;
-
-/** return 1, if num is NaN */
-int fmath_is_nan(double num);
-
-/** return 1, if fmath is a infinity */
-int fmath_is_infinity(double num);
Index: ch/ia64/src/fmath.c
===================================================================
--- arch/ia64/src/fmath.c	(revision 0132630e277cac256d68387347726af617f4270d)
+++ 	(revision )
@@ -1,153 +1,0 @@
-/*
- * Copyright (C) 2005 Josef Cejka
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */ 
-
-#include <arch/fmath.h>
-#include <print.h>
-
-	//TODO: 
-#define FMATH_MANTISA_MASK ( 0x000fffffffffffffLL )
-
-signed short fmath_get_binary_exponent(double num) 
-{	//TODO:
-/*	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	return (signed short)((((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4)) -FMATH_EXPONENT_BIAS; // exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th 
-*/
-	return 0;
-}
-
-double fmath_get_decimal_exponent(double num) 
-{	//TODO:
-	return 0;	
-}
-
-__u64 fmath_get_binary_mantisa(double num) 
-{	//TODO:
-/*	union { __u64 _u; double _d;} un = { _d : num };
-	un._u=un._u &(FMATH_MANTISA_MASK); // mask 52 bits of mantisa
-	return un._u;
-	*/
-	return 0;
-}
-
-double fmath_fint(double num, double *intp) 
-{	//TODO:
-/*	fmath_ld_union_t fmath_ld_union_num;
-	fmath_ld_union_t fmath_ld_union_int;
-	signed short exp;
-	__u64 mask,mantisa;
-	int i;
-	
-	exp=fmath_get_binary_exponent(num);
-	
-	if (exp<0) {
-		*intp = 0.0;
-		*intp = fmath_set_sign(0.0L,fmath_is_negative(num));
-		return num;
-		}
-		
-
-	if (exp>51) {
-		*intp=num;
-		num=0.0;
-		num= fmath_set_sign(0.0L,fmath_is_negative(*intp));
-		return num;
-	}
-	
-	fmath_ld_union_num.bf = num;
-	
-	mask = FMATH_MANTISA_MASK>>exp;
-	//mantisa = (fmath_get-binary_mantisa(num))&(~mask);
-	
-	for (i=0;i<7;i++) {
-		// Ugly construction for obtain sign, exponent and integer part from num 
-		fmath_ld_union_int.ldd[i]=fmath_ld_union_num.ldd[i]&(((~mask)>>(i*8))&0xff);
-	}
-	
-	fmath_ld_union_int.ldd[6]|=((fmath_ld_union_num.ldd[6])&(0xf0));
-	fmath_ld_union_int.ldd[7]=fmath_ld_union_num.ldd[7];
-	
-	*intp=fmath_ld_union_int.bf;
-	return fmath_ld_union_num.bf-fmath_ld_union_int.bf;
-*/
-	
-	return 0.0;
-};
-	
-
-double fmath_dpow(double base, double exponent) 
-{	//TODO:
-/*	double value=1.0;
-	if (base<=0.0) return base; 
-	
-	//2^(x*log2(10)) = 2^y = 10^x
-	
-	__asm__ __volatile__ (		\
-		"fyl2x # ST(1):=ST(1)*log2(ST(0)), pop st(0) \n\t "		\
-		"fld	%%st(0) \n\t"	\
-		"frndint \n\t"		\
-		"fxch %%st(1) \n\t"		\
-		"fsub %%st(1),%%st(0) \n\t"	\
-		"f2xm1	# ST := 2^ST -1\n\t"			\
-		"fld1 \n\t"			\
-		"faddp %%st(0),%%st(1) \n\t"	\
-		"fscale #ST:=ST*2^(ST(1))\n\t"		\
-		"fstp %%st(1) \n\t"		\
-	"" : "=t" (value) :  "0" (base), "u" (exponent) );
-	return value;
-*/
-	return 1.0;
-}
-
-
-int fmath_is_nan(double num) 
-{
-/*	__u16 exp;
-	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	exp=(((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4); // exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th 
-
-	if (exp!=0x07ff) return 0;
-	if (fmath_get_binary_mantisa(num)>=FMATH_NAN) return 1;
-	
-*/		
-	return 0;
-}
-
-int fmath_is_infinity(double num)
-{
-/*	__u16 exp;
-	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	exp=(((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4); // exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th 
-
-	if (exp!=0x07ff) return 0;
-	if (fmath_get_binary_mantisa(num)==0x0) return 1;
-*/	return 0;
-}
-
Index: arch/mips32/Makefile.inc
===================================================================
--- arch/mips32/Makefile.inc	(revision 0132630e277cac256d68387347726af617f4270d)
+++ arch/mips32/Makefile.inc	(revision b524c5e0c4ab2be7669474ed11d7d797b4d5e53b)
@@ -109,5 +109,4 @@
 	arch/$(ARCH)/src/mm/vm.c \
 	arch/$(ARCH)/src/fpu_context.c \
-	arch/$(ARCH)/src/fmath.c \
 	arch/$(ARCH)/src/drivers/arc.c \
 	arch/$(ARCH)/src/drivers/msim.c \
Index: ch/mips32/include/fmath.h
===================================================================
--- arch/mips32/include/fmath.h	(revision 0132630e277cac256d68387347726af617f4270d)
+++ 	(revision )
@@ -1,69 +1,0 @@
-/*
- * Copyright (C) 2005 Josef Cejka
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */ 
-
-#ifndef __mips32_FMATH_H__
-#define __mips32_FMATH_H__
-
-#include <arch/types.h>
- 
-#define FMATH_EXPONENT_BIAS 1023
-
-typedef unsigned char fmath_ld_descr_t[8];
- 
-typedef union { double bf; unsigned char ldd[8]; }  fmath_ld_union_t;
-
-/**returns exponent in binary encoding*/
-signed short fmath_get_binary_exponent(double num);
-
-/**returns exponent in decimal encoding*/
-double fmath_get_decimal_exponent(double num);
-
-/**returns mantisa in binary encoding */
-__u64 fmath_get_binary_mantisa(double num) ;
-
-/** Function for extract integer part from double
-* @param num input value
-* @param intp integer part of num
-* @return non-integer part
-*/
-double fmath_fint(double num, double *intp);
-
-/** count base^exponent from positive exponent
-* @param base
-* @param exponent - Must be > 0.0 
-* @return base^exponent or 0.0 (if exponent <=0.0)
-*/
-double fmath_dpow(double base, double exponent) ;
-
-/** return 1, if num is NaN */
-int fmath_is_nan(double num);
-
-/** return 1, if fmath is a infinity */
-int fmath_is_infinity(double num);
-
-#endif
Index: ch/mips32/src/fmath.c
===================================================================
--- arch/mips32/src/fmath.c	(revision 0132630e277cac256d68387347726af617f4270d)
+++ 	(revision )
@@ -1,161 +1,0 @@
-/*
- * Copyright (C) 2005 Josef Cejka
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */ 
-
-#include <arch/fmath.h>
-#include <print.h>
-
-	//TODO: 
-#define FMATH_MANTISA_MASK ( 0x000fffffffffffffLL )
-
-signed short fmath_get_binary_exponent(double num) 
-{	//TODO:
-/*	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	return (signed short)((((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4)) -FMATH_EXPONENT_BIAS; // exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th 
-*/
-	return 0;
-}
-
-double fmath_get_decimal_exponent(double num) 
-{	//TODO:
-//	double value;
-	// log10(2)*log2(x) => log10(x) 
-/*	__asm__ __volatile__ ( \
-	"fldlg2		#load log10(2)	\n\t"	\
-	"fxch %%st(1) 		\n\t" \
-	"fyl2x		#count st(0)*log2(st(1))->st(1); pop st(0)	\n\t" \
-	: "=t" (value) : "0"(num) );
-*/	return 1.0;
-	
-}
-
-__u64 fmath_get_binary_mantisa(double num) 
-{	//TODO:
-/*	union { __u64 _u; double _d;} un = { _d : num };
-	un._u=un._u &(FMATH_MANTISA_MASK); // mask 52 bits of mantisa
-	return un._u;
-	*/
-	return 0;
-}
-
-double fmath_fint(double num, double *intp) 
-{	//TODO:
-/*	fmath_ld_union_t fmath_ld_union_num;
-	fmath_ld_union_t fmath_ld_union_int;
-	signed short exp;
-	__u64 mask,mantisa;
-	int i;
-	
-	exp=fmath_get_binary_exponent(num);
-	
-	if (exp<0) {
-		*intp = 0.0;
-		*intp = fmath_set_sign(0.0L,fmath_is_negative(num));
-		return num;
-		}
-		
-
-	if (exp>51) {
-		*intp=num;
-		num=0.0;
-		num= fmath_set_sign(0.0L,fmath_is_negative(*intp));
-		return num;
-	}
-	
-	fmath_ld_union_num.bf = num;
-	
-	mask = FMATH_MANTISA_MASK>>exp;
-	//mantisa = (fmath_get-binary_mantisa(num))&(~mask);
-	
-	for (i=0;i<7;i++) {
-		// Ugly construction for obtain sign, exponent and integer part from num 
-		fmath_ld_union_int.ldd[i]=fmath_ld_union_num.ldd[i]&(((~mask)>>(i*8))&0xff);
-	}
-	
-	fmath_ld_union_int.ldd[6]|=((fmath_ld_union_num.ldd[6])&(0xf0));
-	fmath_ld_union_int.ldd[7]=fmath_ld_union_num.ldd[7];
-	
-	*intp=fmath_ld_union_int.bf;
-	return fmath_ld_union_num.bf-fmath_ld_union_int.bf;
-*/
-	
-	return 0.0;
-};
-	
-
-double fmath_dpow(double base, double exponent) 
-{	//TODO:
-/*	double value=1.0;
-	if (base<=0.0) return base; 
-	
-	//2^(x*log2(10)) = 2^y = 10^x
-	
-	__asm__ __volatile__ (		\
-		"fyl2x # ST(1):=ST(1)*log2(ST(0)), pop st(0) \n\t "		\
-		"fld	%%st(0) \n\t"	\
-		"frndint \n\t"		\
-		"fxch %%st(1) \n\t"		\
-		"fsub %%st(1),%%st(0) \n\t"	\
-		"f2xm1	# ST := 2^ST -1\n\t"			\
-		"fld1 \n\t"			\
-		"faddp %%st(0),%%st(1) \n\t"	\
-		"fscale #ST:=ST*2^(ST(1))\n\t"		\
-		"fstp %%st(1) \n\t"		\
-	"" : "=t" (value) :  "0" (base), "u" (exponent) );
-	return value;
-*/
-	return 1.0;
-}
-
-
-int fmath_is_nan(double num) 
-{
-/*	__u16 exp;
-	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	exp=(((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4); // exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th 
-
-	if (exp!=0x07ff) return 0;
-	if (fmath_get_binary_mantisa(num)>=FMATH_NAN) return 1;
-	
-*/		
-	return 0;
-}
-
-int fmath_is_infinity(double num)
-{
-/*	__u16 exp;
-	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	exp=(((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4); // exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th 
-
-	if (exp!=0x07ff) return 0;
-	if (fmath_get_binary_mantisa(num)==0x0) return 1;
-*/	return 0;
-}
-
Index: arch/ppc32/Makefile.inc
===================================================================
--- arch/ppc32/Makefile.inc	(revision 0132630e277cac256d68387347726af617f4270d)
+++ arch/ppc32/Makefile.inc	(revision b524c5e0c4ab2be7669474ed11d7d797b4d5e53b)
@@ -58,4 +58,3 @@
 	arch/$(ARCH)/src/mm/frame.c \
 	arch/$(ARCH)/src/mm/memory_init.c \
-	arch/$(ARCH)/src/mm/page.c \
-	arch/$(ARCH)/src/fmath.c
+	arch/$(ARCH)/src/mm/page.c 
Index: ch/ppc32/include/fmath.h
===================================================================
--- arch/ppc32/include/fmath.h	(revision 0132630e277cac256d68387347726af617f4270d)
+++ 	(revision )
@@ -1,69 +1,0 @@
-/*
- * Copyright (C) 2005 Josef Cejka
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */ 
-
-#ifndef __ppc32_FMATH_H__
-#define __ppc32_FMATH_H__
-
-#include <arch/types.h>
- 
-#define FMATH_EXPONENT_BIAS 1023
-
-typedef unsigned char fmath_ld_descr_t[8];
- 
-typedef union { double bf; unsigned char ldd[8]; }  fmath_ld_union_t;
-
-/**returns exponent in binary encoding*/
-signed short fmath_get_binary_exponent(double num);
-
-/**returns exponent in decimal encoding*/
-double fmath_get_decimal_exponent(double num);
-
-/**returns mantisa in binary encoding */
-__u64 fmath_get_binary_mantisa(double num) ;
-
-/** Function for extract integer part from double
-* @param num input value
-* @param intp integer part of num
-* @return non-integer part
-*/
-double fmath_fint(double num, double *intp);
-
-/** count base^exponent from positive exponent
-* @param base
-* @param exponent - Must be > 0.0 
-* @return base^exponent or 0.0 (if exponent <=0.0)
-*/
-double fmath_dpow(double base, double exponent) ;
-
-/** return 1, if num is NaN */
-int fmath_is_nan(double num);
-
-/** return 1, if fmath is a infinity */
-int fmath_is_infinity(double num);
-
-#endif
Index: ch/ppc32/src/fmath.c
===================================================================
--- arch/ppc32/src/fmath.c	(revision 0132630e277cac256d68387347726af617f4270d)
+++ 	(revision )
@@ -1,153 +1,0 @@
-/*
- * Copyright (C) 2005 Josef Cejka
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */ 
-
-#include <arch/fmath.h>
-#include <print.h>
-
-	//TODO: 
-#define FMATH_MANTISA_MASK ( 0x000fffffffffffffLL )
-
-signed short fmath_get_binary_exponent(double num) 
-{	//TODO:
-/*	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	return (signed short)((((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4)) -FMATH_EXPONENT_BIAS; // exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th 
-*/
-	return 0;
-}
-
-double fmath_get_decimal_exponent(double num) 
-{	//TODO:
-	return 0;	
-}
-
-__u64 fmath_get_binary_mantisa(double num) 
-{	//TODO:
-/*	union { __u64 _u; double _d;} un = { _d : num };
-	un._u=un._u &(FMATH_MANTISA_MASK); // mask 52 bits of mantisa
-	return un._u;
-	*/
-	return 0;
-}
-
-double fmath_fint(double num, double *intp) 
-{	//TODO:
-/*	fmath_ld_union_t fmath_ld_union_num;
-	fmath_ld_union_t fmath_ld_union_int;
-	signed short exp;
-	__u64 mask,mantisa;
-	int i;
-	
-	exp=fmath_get_binary_exponent(num);
-	
-	if (exp<0) {
-		*intp = 0.0;
-		*intp = fmath_set_sign(0.0L,fmath_is_negative(num));
-		return num;
-		}
-		
-
-	if (exp>51) {
-		*intp=num;
-		num=0.0;
-		num= fmath_set_sign(0.0L,fmath_is_negative(*intp));
-		return num;
-	}
-	
-	fmath_ld_union_num.bf = num;
-	
-	mask = FMATH_MANTISA_MASK>>exp;
-	//mantisa = (fmath_get-binary_mantisa(num))&(~mask);
-	
-	for (i=0;i<7;i++) {
-		// Ugly construction for obtain sign, exponent and integer part from num 
-		fmath_ld_union_int.ldd[i]=fmath_ld_union_num.ldd[i]&(((~mask)>>(i*8))&0xff);
-	}
-	
-	fmath_ld_union_int.ldd[6]|=((fmath_ld_union_num.ldd[6])&(0xf0));
-	fmath_ld_union_int.ldd[7]=fmath_ld_union_num.ldd[7];
-	
-	*intp=fmath_ld_union_int.bf;
-	return fmath_ld_union_num.bf-fmath_ld_union_int.bf;
-*/
-	
-	return 0.0;
-};
-	
-
-double fmath_dpow(double base, double exponent) 
-{	//TODO:
-/*	double value=1.0;
-	if (base<=0.0) return base; 
-	
-	//2^(x*log2(10)) = 2^y = 10^x
-	
-	__asm__ __volatile__ (		\
-		"fyl2x # ST(1):=ST(1)*log2(ST(0)), pop st(0) \n\t "		\
-		"fld	%%st(0) \n\t"	\
-		"frndint \n\t"		\
-		"fxch %%st(1) \n\t"		\
-		"fsub %%st(1),%%st(0) \n\t"	\
-		"f2xm1	# ST := 2^ST -1\n\t"			\
-		"fld1 \n\t"			\
-		"faddp %%st(0),%%st(1) \n\t"	\
-		"fscale #ST:=ST*2^(ST(1))\n\t"		\
-		"fstp %%st(1) \n\t"		\
-	"" : "=t" (value) :  "0" (base), "u" (exponent) );
-	return value;
-*/
-	return 1.0;
-}
-
-
-int fmath_is_nan(double num) 
-{
-/*	__u16 exp;
-	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	exp=(((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4); // exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th 
-
-	if (exp!=0x07ff) return 0;
-	if (fmath_get_binary_mantisa(num)>=FMATH_NAN) return 1;
-	
-*/		
-	return 0;
-}
-
-int fmath_is_infinity(double num)
-{
-/*	__u16 exp;
-	fmath_ld_union_t fmath_ld_union;
-	fmath_ld_union.bf = num;
-	exp=(((fmath_ld_union.ldd[7])&0x7f)<<4) + (((fmath_ld_union.ldd[6])&0xf0)>>4); // exponent is 11 bits lenght, so sevent bits is in 8th byte and 4 bits in 7th 
-
-	if (exp!=0x07ff) return 0;
-	if (fmath_get_binary_mantisa(num)==0x0) return 1;
-*/	return 0;
-}
-
Index: generic/src/debug/print.c
===================================================================
--- generic/src/debug/print.c	(revision 0132630e277cac256d68387347726af617f4270d)
+++ generic/src/debug/print.c	(revision b524c5e0c4ab2be7669474ed11d7d797b4d5e53b)
@@ -32,5 +32,4 @@
 #include <arch/arg.h>
 #include <arch/asm.h>
-#include <arch/fmath.h>
 
 #include <arch.h>
@@ -38,7 +37,4 @@
 static char digits[] = "0123456789abcdef"; 	/**< Hexadecimal characters */
 SPINLOCK_INITIALIZE(printflock);		/**< printf spinlock */
-
-#define DEFAULT_DOUBLE_PRECISION 16
-#define DEFAULT_DOUBLE_BUFFER_SIZE 128
 
 
@@ -106,105 +102,4 @@
 
 
-static void print_double(double num, __u8 modifier, __u16 precision) 
-{
-	double intval,intval2;
-	int counter;
-	int exponent,exponenttmp;
-	unsigned char buf[DEFAULT_DOUBLE_BUFFER_SIZE];
-	unsigned long in1,in2;	
-	
-
-	if (fmath_is_nan(num)) {
-		print_str("NaN");
-		return;
-	}
-	
-	if (num<0.0) {
-		putchar('-');
-		num=num*-1.0;
-	}
-
-
-	if (fmath_is_infinity(num)) {
-		print_str("Inf");
-		return;
-	}
-
-	if ((modifier=='E')||(modifier=='e')) {
-		intval2=fmath_fint(fmath_get_decimal_exponent(num),&intval);
-		exponent=intval;
-		if ((intval2<0.0)) exponent--;
-		num = num / ((fmath_dpow(10.0,exponent)));
-		
-		print_double(num,modifier+1,precision); /* modifier+1 = E => F or e => f */
-		putchar(modifier);
-		if (exponent<0) {
-			putchar('-');
-			exponent*=-1;
-		}
-		print_number(exponent,10);
-		return;
-	}
-		
-	/* TODO: rounding constant - when we got fraction >= 0.5, we must increment last printed number */
-
-	/* 
-	 * Here is a problem with cumulative error while printing big double values -> we will divide
-	 * the number with a power of 10, print new number with better method for small numbers and
-	 * then print decimal point at correct position.
-	 */
-	
-	fmath_fint(fmath_get_decimal_exponent(num),&intval);
-	
-	exponent=(intval>0.0?intval:0);
-	
-	precision+=exponent;
-	
-	if (exponent>0) num = num / ((fmath_dpow(10.0,exponent)));
-		
-	num=fmath_fint(num,&intval);
-	
-	if (precision>0) {
-		counter=precision-1;
-		if (exponent>0) counter++;
-		
-		if (counter>=DEFAULT_DOUBLE_BUFFER_SIZE) {
-			counter=DEFAULT_DOUBLE_BUFFER_SIZE;
-		}
-		exponenttmp=exponent;
-		while(counter>=0) {
-			num *= 10.0;
-			num = fmath_fint(num,&intval2);
-			buf[counter--]=((int)intval2)+'0';
-			exponenttmp--;
-			if ((exponenttmp==0)&&(counter>=0)) buf[counter--]='.';
-		}
-		counter=precision;
-		if ((exponent==0)&&(counter<DEFAULT_DOUBLE_BUFFER_SIZE)) buf[counter]='.';
-		counter++;	
-	} else {
-		counter=0;	
-	}
-	
-	in1=intval;
-	if (in1==0.0) {
-		if (counter<DEFAULT_DOUBLE_BUFFER_SIZE) buf[counter++]='0';
-	} else {
-		while(( in1>0 )&&(counter<DEFAULT_DOUBLE_BUFFER_SIZE)) {
-			
-			in2=in1;
-			in1/=10;
-			buf[counter]=in2-in1*10 + '0';
-			counter++;
-		}
-	}
-	
-	counter = (counter>=DEFAULT_DOUBLE_BUFFER_SIZE?DEFAULT_DOUBLE_BUFFER_SIZE:counter);
-	while (counter>0) {
-		putchar(buf[--counter]);
-	}
-	return;
-}
-
 
 /** General formatted text print
@@ -262,15 +157,4 @@
  *      must follow.
  *
- * e    The next variant argument is treated as double precision float
- *      and printed in exponent notation with only one digit before decimal point
- *      in specified precision. The exponent sign is printed as 'e'.
- *
- * E    As with 'e', but the exponent sign is printed as 'E'.
- *
- * f    The next variant argument is treated as double precision float
- *      and printed in decimal notation in specified precision.
- *
- * F    As with 'f'.
- *
  * All other characters from fmt except the formatting directives
  * are printed in verbatim.
@@ -284,6 +168,4 @@
 	char c;	
 	
-	__u16 precision;
-	
 	va_start(ap, fmt);
 
@@ -296,13 +178,4 @@
 		    /* control character */
 		    case '%':
-			precision = DEFAULT_DOUBLE_PRECISION;
-			if (fmt[i]=='.') {
-				precision=0;
-				c=fmt[++i];
-				while((c>='0')&&(c<='9')) {
-					precision = precision*10 + c - '0';
-					c=fmt[++i];
-				}
-			}
 		    
 			switch (c = fmt[i++]) {
@@ -355,23 +228,5 @@
 		    		print_fixed_hex(va_arg(ap, __native), INT8);
 				goto loop;
-
-			    /*
-		             * Floating point conversions.
-		             */
-			    case 'F':
-		    		print_double(va_arg(ap, double),'F',precision);
-				goto loop;
-					
-			    case 'f':
-		    		print_double(va_arg(ap, double),'f',precision);
-				goto loop;
-				
-			    case 'E':
-		    		print_double(va_arg(ap, double),'E',precision);
-				goto loop;
-			    case 'e':
-		    		print_double(va_arg(ap, double),'e',precision);
-				goto loop;
-				
+	
 			    /*
 		             * Decimal and hexadecimal conversions.
Index: test/print/print1/test.c
===================================================================
--- test/print/print1/test.c	(revision 0132630e277cac256d68387347726af617f4270d)
+++ test/print/print1/test.c	(revision b524c5e0c4ab2be7669474ed11d7d797b4d5e53b)
@@ -32,5 +32,4 @@
 {
 	__u64 u64const = 0x0123456789ABCDEFLL;
-	double d;
 	printf(" Printf test \n");
 	printf(" Q  %Q  %q \n",u64const, u64const);
@@ -38,21 +37,4 @@
 	printf(" W  %W  %w \n",0x0123 ,0x0123);   
 	printf(" B  %B  %b \n",0x01 ,0x01);
-	printf(" F  %F	%f (123456789.987654321)\n",123456789.987654321,123456789.987654321);
-	printf(" F  %F	%f (-123456789.987654321e-10)\n",-123456789.987654321e-10,-123456789.987654321e-10);
-	printf(" E  %E	%e (123456789.987654321)\n",123456789.987654321,123456789.987654321);
-	printf(" E  %.10E %.8e (-123456789.987654321e-12 for precision 10 & 8)\n",-123456789.987654321e-12,-123456789.987654321e-12);
-	printf(" E  %.10E %.8e (-987654321.123456789e-12 for precision 10 & 8)\n",-987654321.123456789e-12,-987654321.123456789e-12);
-	printf(" E  %.10E %.8e (123456789.987654321e-12 for precision 10 & 8)\n",123456789.987654321e-12,123456789.987654321e-12);
-	printf(" E  %.10E %.8e (987654321.123456789e-12 for precision 10 & 8)\n",987654321.123456789e-12,987654321.123456789e-12);
-	printf(" E  %.10E %.8e (-123456789.987654321e12 for precision 10 & 8)\n",-123456789.987654321e12,-123456789.987654321e12);
-	printf(" E  %.10E %.8e (-987654321.123456789e12 for precision 10 & 8)\n",-987654321.123456789e12,-987654321.123456789e12);
-	printf(" E  %.10E %.8e (123456789.987654321e12 for precision 10 & 8)\n",123456789.987654321e12,123456789.987654321e12);
-	printf(" E  %.10E %.8e (987654321.123456789e12 for precision 10 & 8)\n",987654321.123456789e12,987654321.123456789e12);
-	u64const =0x7fffffffffffffffLL;
-	d =*((double *)((void *)(&u64const)));
-	printf(" E  %.10E (NaN)\n",d);
-	u64const =(0xfff0000000000000LL);
-	d =*(double *)(void *)(&u64const);
-	printf(" E  %.10E (-Inf)\n",d);
 	return;
 }
